var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { h } from '@stencil/core';
import { MapToComponentField, VegaSlimmer } from 'vega-slimmer/core';
import { geniusLarge, geniusLargeInDark, geniusMedium, geniusMediumInDark, geniusSmall, geniusSmallInDark, globalPaymentsLarge, globalPaymentsLargeInDark, globalPaymentsMedium, globalPaymentsMediumInDark, globalPaymentsSmall, globalPaymentsSmallInDark, gSymbolLarge, gSymbolLargeInDark, gSymbolMedium, gSymbolMediumInDark, gSymbolSmall, gSymbolSmallInDark, } from '../../assets';
import { VegaInternalIconManager } from '../../../../helpers/icon/internal-icon-manager';
export class VegaBrandLogoRenderer extends VegaSlimmer {
  render() {
    return this.renderBrandLogo();
  }
  renderBrandLogo() {
    return h("vega-icon", { icon: VegaInternalIconManager.getIconKey(this.getIconKey()) });
  }
  getIconKey() {
    if (this.theme === 'light')
      return `${this.name}-${this.size}`;
    if (this.theme === 'dark')
      return `dark-${this.name}-${this.size}`;
    return this.isInDarkMode ? `dark-${this.name}-${this.size}` : `${this.name}-${this.size}`;
  }
}
(() => {
  VegaInternalIconManager.register({
    'global-payments-small': globalPaymentsSmall,
    'global-payments-medium': globalPaymentsMedium,
    'global-payments-large': globalPaymentsLarge,
    'genius-small': geniusSmall,
    'genius-medium': geniusMedium,
    'genius-large': geniusLarge,
    'g-symbol-small': gSymbolSmall,
    'g-symbol-medium': gSymbolMedium,
    'g-symbol-large': gSymbolLarge,
    'dark-global-payments-small': globalPaymentsSmallInDark,
    'dark-global-payments-medium': globalPaymentsMediumInDark,
    'dark-global-payments-large': globalPaymentsLargeInDark,
    'dark-genius-small': geniusSmallInDark,
    'dark-genius-medium': geniusMediumInDark,
    'dark-genius-large': geniusLargeInDark,
    'dark-g-symbol-small': gSymbolSmallInDark,
    'dark-g-symbol-medium': gSymbolMediumInDark,
    'dark-g-symbol-large': gSymbolLargeInDark,
  });
})();
__decorate([
  MapToComponentField()
], VegaBrandLogoRenderer.prototype, "host", void 0);
__decorate([
  MapToComponentField()
], VegaBrandLogoRenderer.prototype, "name", void 0);
__decorate([
  MapToComponentField()
], VegaBrandLogoRenderer.prototype, "size", void 0);
__decorate([
  MapToComponentField()
], VegaBrandLogoRenderer.prototype, "theme", void 0);
__decorate([
  MapToComponentField()
], VegaBrandLogoRenderer.prototype, "isInDarkMode", void 0);
